Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1107767 - The "rebar eunit -v" command exhibits errors in some tests.
Summary: The "rebar eunit -v" command exhibits errors in some tests.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-eleveldb
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-06-10 14:49 UTC by Éric Fintzel
Modified: 2014-07-12 13:05 UTC (History)
3 users (show)

Fixed In Version: erlang-eleveldb-1.3.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-12 13:05:22 UTC


Attachments (Terms of Use)
Patch used for the spec file (deleted)
2014-06-10 14:49 UTC, Éric Fintzel
no flags Details | Diff
Build log (deleted)
2014-06-11 08:58 UTC, Éric Fintzel
no flags Details

Description Éric Fintzel 2014-06-10 14:49:12 UTC
Created attachment 907296 [details]
Patch used for the spec file

Description of problem:

The "rebar eunit -v" command exhibits errors in some tests.


Version-Release number of selected component (if applicable):

erlang-eleveldb-1.3.2-2.fc21.src.rpm


How reproducible:

Mock build with make check active.


Actual results:

cacheleak: cacheleak_test_ (module 'cacheleak')...enif_send: env==NULL on non-SMP VM/var/tmp/rpm-tmp.LY07JU: line 31: 31546 Aborted                 rebar eunit -v
error: Bad exit status from /var/tmp/rpm-tmp.LY07JU (%check)

module 'cleanup'
  cleanup: assumption_test...enif_send: env==NULL on non-SMP VM/var/tmp/rpm-tmp.PQdkaz: line 31:  6614 Aborted                 rebar eunit -v
error: Bad exit status from /var/tmp/rpm-tmp.PQdkaz (%check)


Additional info:

Removed the cacheleak test for fc21, as it is already done for fc17 and fc18.
The cleanup test was also removed for fc21.
Then build was ran again with success.

Comment 1 Éric Fintzel 2014-06-11 08:58:49 UTC
Created attachment 907537 [details]
Build log

Comment 2 Ville Skyttä 2014-07-12 13:05:22 UTC
In my F-20, F-21, and F-22 tests only the cacheleak test needed skipping.


Note You need to log in before you can comment on or make changes to this bug.